﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;
using DateTimeAxis.WP8.Resources;
using System.Collections.ObjectModel;

namespace DateTimeAxis.WP8
{
    public partial class MainPage : PhoneApplicationPage
    {
        public ObservableCollection<WeatherModel> Collection { get; set; }

        public MainPage()
        {
            Collection = new ObservableCollection<WeatherModel>();
            InitializeComponent();
            GenerateSixHoursData();
            this.DataContext = this;
            
        }

        private void GenerateSixHoursData()
        {
            Random r=new Random();
            DateTime now=new DateTime(2013,06,01,11,30,00);
            for (int i = 0; i < 13; i++)
            {
                Collection.Add(new WeatherModel(now.AddHours((double)i / 2), r.Next(1000, 1010)));
            }
           
        }
    }
    public class WeatherModel
    {
        public DateTime ObsTime { get; set; }
        public double Pressure { get; set; }
        public WeatherModel(DateTime time, double pressure)
        {
            this.ObsTime = time;
            this.Pressure = pressure;            
        }
    }
}